#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 31. KDE Frameworks 5 Based Applications

- Prev

  KMix-23.08.5

- Next

  Khelpcenter-23.08.5

- Up
- Home

# kio-extras-23.08.5

## Introduction to kio-extras

The kio-extras package contains additional components to increase the functionality of the KDE resource and network access abstractions.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/23.08.5/src/kio-extras-23.08.5.tar.xz

- Download MD5 sum: d16ed519ecd148253147c4525f1b9d86

- Download size: 1.4 MB

- Estimated disk space required: 49 MB

- Estimated build time: 0.4 SBU (using parallelism=4)

### kio-extras Dependencies

#### Required

kdsoap-2.2.0 and KDE Frameworks-5.115.0

#### Optional

libtirpc-1.3.4, Samba-4.19.5, taglib-2.0, libmtp, libssh, and OpenEXR

## Installation of kio-extras

Install kio-extras by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libkioarchive.so and 32 plugins
Installed Directories: None

- Prev

  KMix-23.08.5

- Next

  Khelpcenter-23.08.5

- Up
- Home